Subject: Re: [Monami6] returning home issue in MCoA

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 16 Nov 2007 12:10:14 -0800

Sorry, I missed this email.

Nicolas Montavont wrote:
> Dear all,
> 
> At the last IETF, the authors of draft-ietf-monami6-multiplecoa-03.txt 
> introduced the H flag in order to support MN's simultaneous use of  home 
> and foreign links.
> However, it requires the certain modification to the home agent, which 
> is NO NDP running on the home link.
> Some people made comments that this may delay the document process.
> 
> As Ryuji Wakikawa promised in the previous meeting, Ryuji wants to go 
> back to the original question.
> Ryuji asked the same question before, but he didn't get enough feedback 
> from WG. This is why we re-issue this question to the WG in order to 
> have more feedback.
> 
> The question is wether  a MN should be able to utilize the interface 
> attached to
> both foreign and home simultaneously.
> 
> [ ] YES
> [ ]  NO

Yes, we should support this.

But now I puzzled why the HA would be turning of proxy ND? I think
the HA should still continue proxying the home address of the mobile
node and intercept the packets.

The HA then decides how to forward the packet. If the packet is
meant the MN interface which is not attached to the home link, the
packet should be tunneled to the mobile node on the visited link. If
the packet is meant for the MN interface which is attached to the
home link, the HA delivers it directly. The tricky part would be to
create a neighbor cache entry for the mobile node so that the HA
can deliver the packet on-link. The HA would need to know the L2
address of the interface with which the mobile node is attached to
the home link.

Vijay

> 
> If you answer YES to the question above,
> Should MCoA document support this feature?
> 
> [ ] YES
> [ ] NO (not in MCoA, but in a separate document)
> 
> The deadline for this consensus call  is October the 8th 2007.
> 
> Thank you,
> Monami6 chairs
> 
> _______________________________________________
> Monami6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/monami6

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6

---

From: Sri Gundavelli <[email-masked]>
Date: Fri, 16 Nov 2007 13:51:18 -0800 (PST)

> can deliver the packet on-link. The HA would need to know the L2

But, the mobile node cannot use its home address on the
connected interface to the home link, unless the HA stops
defending that address. The issue is two fold, we want
the MN to use its interface on the home link for sending
and receiving packets and we also want the HA to intercept
the traffic sent to the same home address. This requires both
the MN and HA to assert ownership on that home address and
that makes the solution complex.

I'd prefer we dont support this feature in this doc. Its an
interesting problem, but with not much practical and real use
cases.

Sri

---

From: RYUJI WAKIKAWA <[email-masked]>
Date: Sat, 17 Nov 2007 18:43:23 +0900

Hi Vijay,

On 2007/11/17, at 5:10, Vijay Devarapalli wrote:

>> At the last IETF, the authors of draft-ietf-monami6- 
>> multiplecoa-03.txt introduced the H flag in order to support MN's  
>> simultaneous use of  home and foreign links.
>> However, it requires the certain modification to the home agent,  
>> which is NO NDP running on the home link.
>> As Ryuji Wakikawa promised in the previous meeting, Ryuji wants to  
>> go back to the original question.
>> Ryuji asked the same question before, but he didn't get enough  
>> feedback from WG. This is why we re-issue this question to the WG  
>> in order to have more feedback.
>> The question is wether  a MN should be able to utilize the  
>> interface attached to

ok.

> node and intercept the packets.

Then, HA and MN will meet the address duplication.
MN tries to defend its HoA on the home link and HA also tries to do  
the same by Proxy ND.

> address of the interface with which the mobile node is attached to

Do you suggest to modify ND parts for this?

ryuji

---

From: RYUJI WAKIKAWA <[email-masked]>
Date: Sat, 17 Nov 2007 18:46:36 +0900

Hi Sri,

> that makes the solution complex.

right. This is very difficult problem.

> interesting problem, but with not much practical and real use

OK

so far we have following solution.
1. No support:  Forget about MN visiting home and foreign simultaneously
2. Protocol Solution-1: MN obtains home-CoA which is special CoA on  
the home link
3. Protocol Solution-2: HA operates its home link without proxy NDP
4. Operational Solution: HA does not have any home link but does have  
foreign link.
When MN returns back to HA, even if there is tunnel between MN and HA,  
HA is one-hop neighbor of MN.

I will wait for more comments before submitting the update.

regards
ryuji

---

From: Vijay Devarapalli <[email-masked]>
Date: Sat, 17 Nov 2007 14:05:43 -0800

RYUJI WAKIKAWA wrote:

> MN tries to defend its HoA on the home link and HA also tries to do the 
> same by Proxy ND.

No. The MN does not attempt to defend its address when it knows
that it has another binding from a visited link. It knows that
the HA will be proxying its home address. Basically the HA would
defined whether to send the traffic directly to the home address
on the link or tunnel to the CoA that the MN has registered at
the HA. The HA would make the decision based on the type of
packet/flow..

> Do you suggest to modify ND parts for this?

Is there a need to modify neighbor discovery? As long as the
HA has the layer 2 address that corresponds to the interface
with which the mobile node is attached to the home link, it can
construct a neighbor cache entry or for example construct the
ether header.

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Sat, 17 Nov 2007 14:06:43 -0800

> interesting problem, but with not much practical and real use

It can be made to work. Ryuji has already captures parts of the
solution in the draft. I don't see why it should be removed.

Vijay

---

From: RYUJI WAKIKAWA <[email-masked]>
Date: Sun, 18 Nov 2007 11:36:49 +0900

Hi Vijay,

> construct a neighbor cache entry or for example construct the

It sounds similar to the MN's operation of sending dereg-BU from home  
link.

- How can HA learn the MN's L2 address.
- when MN communicates with CN on the home link, the packets are  
always routed through the HA
- Regardless of binding status, HA MUST defend the HoA at the home link.
    While MN is back to home with multiple bindings, HA will intercept  
all the packets and decides how to deliver the packets to MN. However,  
if MN stop using the interfaces attached to foreign link, HA will no  
longer defend the HoA. It means MN MUST start defending own HoA at the  
home link. I think this is a bit tricky. HA should do proxy NDP for  
HoA regardless of binding status of MN.
- From the implementation experience of returning home, it is very  
hard to implement this;-p

ryuji

---

From: Sri Gundavelli <[email-masked]>
Date: Sat, 17 Nov 2007 18:54:21 -0800 (PST)

Hi Ryuji,

> 1. No support:  Forget about MN visiting home and foreign simultaneously

Given the complexity of the problem, we should just document this.

> 2. Protocol Solution-1: MN obtains home-CoA which is special CoA on the home 
> link

That distinction of HoA vs CoA on the home link will be difficult.
The home link may be configured with multiple prefixes and the mobile
can choose any of those prefixes as home prefixes. It will be a 
confuration nightmare to provision this mix of HoA vs CoA prefixes
on the home link and let mobile know that distinciton.

> 4. Operational Solution: HA does not have any home link but does have foreign 
> link.
> When MN returns back to HA, even if there is tunnel between MN and HA, HA is 
> one-hop neighbor of MN.
>

This assumption of no physical home link is ok. From MIP4 deployment
experience, this is probably the most practical configuration. But,
I'm not sure, if this needs to be documented. If a given deployment
chooses to have virtual home link, this issue is mute.

Thanks
Sri

---

From: Keigo Aso <[email-masked]>
Date: Mon, 19 Nov 2007 10:51:58 +0900

Hi Ryuji,

On Sun, 18 Nov 2007 11:36:49 +0900

> hard to implement this;-p

I think it is better to assume HA is a router on the home link as described in
your draft no-ndp-00 in order to avoid to introduce needless complexity here.
When MN connects to both home and foreign link, if HA can see all packets for
the HoA of the MN by IP routing, it would not need to do proxy ND for
intercepting packets. MN can do ND for own HoA here.
While, when MN's both interfaces connects to foreign link, HA should do proxy ND
for defending the HoA of the MN, according to RFC3775.

And, I agree with Vijay's comments. 
Even when MN connects to both home and foreign link, HA can do proxy ND for the
network which its egress interface connects to for intercepting packets for the
HoA of the MN. 
In this case, I think it is better for HA to stop proxy ND for the home link.
If so, MN can start ND for defeinding own HoA and HA can know MN's L2 address.
There is no change on ProxyND in home link defined by RFC3775.

Regards,
Keigo